// flags: https://flagpedia.net/emoji
// languageCodes: http://www.lingoes.net/en/translator/langcode.htm

import 'package:flutter/material.dart';

class LanguageModel {
  final int id;
  final String flag;
  final String name;
  final String languageCode;
  final String countryName;

  const LanguageModel(
    this.id,
    this.flag,
    this.name,
    this.languageCode,
    this.countryName,
  );

  const LanguageModel.named({
    required this.id,
    required this.flag,
    required this.name,
    required this.languageCode,
    required this.countryName,
  });

  Locale get locale => Locale(languageCode, countryName);
}
